| Home | Libraries | People | FAQ | More

## Struct template heterogeneous_system

boost::units::heterogeneous_system

## Synopsis

    // In header: <boost/units/heterogeneous_system.hpp>

    template<typename T>
    struct heterogeneous_system {
    };

## Description

A system that can represent any possible combination of units at the expense of not preserving information about how it was created. Do not create specializations of this template directly. Instead use `reduce_unit` and `base_unit<`...>::unit_type.